#ifndef _HARK__BEAMFORMING__ML_H__INCLUDED_
#define _HARK__BEAMFORMING__ML_H__INCLUDED_ 1

#include "BF.h"

namespace BF
{
    class ML : public BF
    {
    public:
	ML(int numFreq, int samplingRate, double soundSpeed, double regFactor);
	virtual ~ML();

    public:
	virtual BfType getBfAlgorithmType() const { return BfML; }

	virtual void updateSources(const std::vector<MicLocation> &micPositions, const std::vector<SourceLocation> &sourcePositions);
	virtual void adaptSeparationMatrices();

    private:
	double regFactor;
    };
}

#endif
